
package students;
	
    public class RegularIterator implements StudentListIterator
    {
		private int iterator;
		private StudentList slist;
		
		public RegularIterator( StudentList sl )
		{
		    slist = sl;
		}
		
		public void first()
		{
			iterator = 0;
		}
		
		public boolean hasNext()
		{
			return iterator < slist.count;
		}
		
		public void next()
		{
			if ( iterator < slist.count )
			{
				iterator++;
			}
		}
		
		public Student getCurrent()
		{
			return slist.list[iterator];
		}
    }